Bug 490400 - Review Request: perl-HTML-Strip - Perl extension for stripping HTML markup from text
Review Request: perl-HTML-Strip - Perl extension for stripping HTML markup fr...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 00:54 EDT by Iain Arnell
Modified: 2009-04-06 16:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.06-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-17 11:36:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-03-16 00:54:17 EDT
Spec URL: http://iarnell.fedorapeople.org/rpms/perl-HTML-Strip.spec
SRPM URL: http://iarnell.fedorapeople.org/rpms/perl-HTML-Strip-1.06-1.fc11.src.rpm
Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1242881
Description: 
This module simply strips HTML-like markup from text in a very quick and
brutal manner. It could quite easily be used to strip XML or SGML from text
as well; but removing HTML markup is a much more common problem, hence this
module lives in the HTML:: namespace.
Comment 1 Parag AN(पराग) 2009-03-16 01:25:01 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1242918ye
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
ceeacef0c7c31983e3a991e77bb58b45  HTML-Strip-1.06.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
Ok.
+ Package perl-HTML-Strip-1.06-1.fc11.i586 =>
  Provides: perl(HTML::Strip) = 1.06
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) perl >= 0:5.006 perl(Carp) perl(DynaLoader) perl(Exporter) perl(strict) perl(warnings) rpmlib(VersionedDependencies) <= 3.0.3-1 rtld(GNU_HASH)


APPROVED.
Comment 2 Iain Arnell 2009-03-16 01:31:45 EDT
Wow!  That must be a new record for fastest package review.  Thanks!


New Package CVS Request
=======================
Package Name: perl-HTML-Strip
Short Description: Perl extension for stripping HTML markup from text
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-03-17 01:24:55 EDT
cvs done.
Comment 4 Fedora Update System 2009-03-17 11:28:55 EDT
perl-HTML-Strip-1.06-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-HTML-Strip-1.06-1.fc10
Comment 5 Fedora Update System 2009-03-17 11:29:01 EDT
perl-HTML-Strip-1.06-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-HTML-Strip-1.06-1.fc9
Comment 6 Fedora Update System 2009-04-06 16:34:09 EDT
perl-HTML-Strip-1.06-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-04-06 16:34:49 EDT
perl-HTML-Strip-1.06-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.